//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

// C Header File
// Created 22/06/02; 21:28:35


//--------------------------------------------------------------------------

#define TRIES_MAX (12)
#define SOLUTION_LEFT (160-12)
#define KEYPEGS_TOP (50)
#define MSG_TOP (92)

//--------------------------------------------------------------------------

typedef struct
{
int Items[4];
int KeyPegs_R;
int KeyPegs_W;
}
TComb;

typedef struct
{
TComb Combs[TRIES_MAX];
TComb Solution;

int CodeTry;
int CodePegNum;
int show_solution;

}
TGame;

//--------------------------------------------------------------------------

void GetCombRW(TComb * Try, TComb * Solution);
void GetPossibleSolution(void);
void NewGame(void);
void RefreshScreen(void);
void ShowComb(int x, int y, TComb * Comb);

//--------------------------------------------------------------------------

